## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemoryManagerObjectCacheDefault Class Template Reference

`#include <XalanObjectCache.hpp>`

Inheritance diagram for XalanMemoryManagerObjectCacheDefault:

[legend]
Collaboration diagram for XalanMemoryManagerObjectCacheDefault:

[legend]
List of all members.

## Public Types

- typedef XalanObjectCache<
  ObjectType, DefaultCacheCreateFunctorMemMgr<
  ObjectType>, DeleteFunctor<
  ObjectType>, DefaultCacheResetFunctor<
  ObjectType> > BaseClassType

## Public Methods

- XalanMemoryManagerObjectCacheDefault (MemoryManagerType &theManager, unsigned int initialListSize=0)

### template<class ObjectType> class XalanMemoryManagerObjectCacheDefault

## Member Typedef Documentation

template<class ObjectType>
typedef XalanObjectCache< ObjectType, DefaultCacheCreateFunctorMemMgr< ObjectType >, DeleteFunctor< ObjectType >, DefaultCacheResetFunctor< ObjectType > > XalanMemoryManagerObjectCacheDefault<ObjectType>::BaseClassType< ObjectType, DefaultCacheCreateFunctorMemMgr<ObjectType>, DeleteFunctor<ObjectType>, DefaultCacheResetFunctor<ObjectType> >

## Constructor & Destructor Documentation

template<class ObjectType>
XalanMemoryManagerObjectCacheDefault<ObjectType>::XalanMemoryManagerObjectCacheDefault<ObjectType> ( | MemoryManagerType & theManager,
| unsigned int initialListSize = 0 )`[explicit]`

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.